View Issue Details

IDProjectCategoryView StatusLast Update
0000007Slicer3Base Codepublic2007-01-25 07:11
ReporterhayesAssigned Toalexy 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Summary0000007: Slicer crashes when trying to load non-image data
Description

If you try to open a non-image object (e.g. a .vti or .vtp file) with the Volumes module, Slicer crashes. (Reported by John MacDonald @ Dartmouth)

Additional Information

Platforms: At least darwin-ppc

TagsNo tags attached.

Activities

alexy

alexy

2007-01-24 06:28

developer   ~0000012

I added handling of failed reads for volume and model files. Slicer now reports an error in a popup dialog if the file cannot be read.

hayes

hayes

2007-01-25 07:11

administrator   ~0000019

Changing status from resolved -> closed.

Issue History

Date Modified Username Field Change
2007-01-19 06:37 hayes New Issue
2007-01-24 06:25 alexy Status new => assigned
2007-01-24 06:25 alexy Assigned To => alexy
2007-01-24 06:28 alexy Status assigned => resolved
2007-01-24 06:28 alexy Resolution open => fixed
2007-01-24 06:28 alexy Note Added: 0000012
2007-01-25 07:11 hayes Status resolved => closed
2007-01-25 07:11 hayes Note Added: 0000019